/**
 * it provides information of students of an AP laboratory
 * @author AliAsad
 * @version 1.0
 */
public class Lab {
    // each student is an object these objects are stored here
    private Student[] students;
    // average of students grades
    private double avg;
    // day of laboratory
    private String day;
    // capacity of laboratory
    private int capacity;
    // the filled capacity of laboratory
    private int currentSize ;

    /**
     * @param cap the capacity of laboratory
     * @param d the day of laboratory
     */
    public Lab(int cap, String d) {
        capacity = cap;
        day = d;
        students = new  Student[capacity];
        currentSize = 0 ;
    }

    /**
     * gives student and adds to students array
     * @param std the student that will be added
     */
    public void enrollStudent(Student std) {
        if (currentSize < capacity) {
            students[currentSize] = std;
            currentSize++;
        } else {
            System.out.println("Lab is full!!!");
        }
    }

    /**
     * prints the laboratory information
     */
    public void print() {
        calculateAvg();
        for (int i = 0 ; i < currentSize ;i++)
        System.out.println(students[i].getFirstName() +" "+ students[i].getLastName()+", student ID: "
                + students[i].getId() + ", grade: " + students[i].getGrade());
        System.out.println("avg :" + avg);
    }

    /**
     * get the students array
     * @return students array
     */
    public Student[] getStudents() {
        return  students;
    }

    /**
     * set the students
     * @param students the new students that will be added
     */
    public void setStudents(Student[] students) {
        this.students = students;
    }

    /**
     * get the avg
     * @return avg
     */
    public double getAvg() {
        return avg;
    }

    /**
     * calculate the avg of students grades
     */
    public void calculateAvg() {
        int sum = 0 ;
        for (int  i = 0 ; i < currentSize  ; i++ )
            sum += students[i].getGrade();
        avg = sum / currentSize;
    }

    /**
     * get the day of laboratory
     * @return day
     */
    public String getDay() {
        return day;
    }

    /**
     * set the day of laboratory
     * @param day new day
     */
    public void setDay(String day) {
        this.day = day;
    }

    /**
     * get the capacity of laboratory
     * @return capacity
     */
    public int getCapacity() {
        return capacity;
    }

    /**
     * set the laboratory capacity
     * @param capacity the new capacity
     */
    public void setCapacity(int capacity) {
        this.capacity = capacity;
    }
}