import java.util.*;
/**
        * The Student class represents a student in a student
        administration system.
        * It holds the student details relevant in our context.
        *
        * @author AliAsad
        * @version 1.0
 */

public class Student {
    // the student’s first name
    private String firstName;
    // the student’s last name
    private String lastName;
    // the student ID
    private String id;
    //the grade
    private int grade;


    /**
     * Create a new student with a given name and ID number.
     *
     * @param fName first name of student
     * @param lname last name of student
     * @param sID student ID
     */
    public Student(String fName, String lname, String sID){
        firstName = fName;
        lastName = lname;
        id = sID;
    }

    /**
     * set the grade of student
     * @param newGrade new grade of the student
     */
    public void setGrade(int newGrade){
        if(newGrade <= 20 && newGrade >= 0 )
            grade = newGrade;
    }
    /**
     * get the grade of student
     * @return grade field
     */
    public  int getGrade(){
        return  grade;
    }
    /**
     * set the id of student
     * @param newId new id of student
     */
    public void setId(String newId){
            id = newId;
    }
    /**
     * get the ID of student
     * @return id field
     */
    public  String getId(){
        return  id;
    }
    /**
     * get the firstName of student
     * @return firstName field
     */
    public String getFirstName() {
        return firstName;
    }
    /**
     * get the lastName of student
     * @return lastName field
     */
    public String getLastName() {
        return lastName;
    }

    /**
     * set the firstName of student
     * @param fName first name of student
     */
    public void setFirstName(String fName) {
        firstName = fName;
    }

    /**
     * prints the information of each student
     */
    public void print() {
        System.out.println(lastName + ", student ID: "
                + id + ", grade: " + grade);
    }
}